Page MenuHomeFreeBSD

Add ping6 as MLINK to ping
ClosedPublic

Authored by antranigv_freebsd.am on Oct 13 2023, 7:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Apr 8, 8:46 PM
Unknown Object (File)
Mon, Apr 8, 4:55 PM
Unknown Object (File)
Fri, Apr 5, 6:50 PM
Unknown Object (File)
Fri, Apr 5, 5:34 PM
Unknown Object (File)
Mon, Mar 18, 4:28 PM
Unknown Object (File)
Jan 18 2024, 8:01 AM
Unknown Object (File)
Dec 23 2023, 2:49 AM
Unknown Object (File)
Dec 10 2023, 8:21 PM

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Why do you need a docs review for this?

In D42203#962979, @bcr wrote:

Why do you need a docs review for this?

Well it's a single line about MLINKS and Phabricator kept bugging me saying "add a reviewer", so I thought, since it's MLINKS, then I should ping docs ? sounds like reasonable logic? 😃

As long as we are keeping the old ping6 as an alias, I believe this is OK. Try pinging @asomers .

chuck added a subscriber: chuck.

LGTM, but I'll give other folks a chance to peek

This revision is now accepted and ready to land.Oct 16 2023, 5:14 PM

We also need to remove OLD_FILES+=usr/share/man/man8/ping6.8.gz from ObsoleteFiles.inc.

We also need to remove OLD_FILES+=usr/share/man/man8/ping6.8.gz from ObsoleteFiles.inc.

As far as I can tell, there is no /usr/share/man/man8/ping6.8.gz at all, i.e.

# man ping6
No manual entry for ping6

We also need to remove OLD_FILES+=usr/share/man/man8/ping6.8.gz from ObsoleteFiles.inc.

Ohh my bad! yes! I will remove it from there and diff again.

  • remove ping6.8.gz from ObsoleteFiles.inc
This revision now requires review to proceed.Nov 6 2023, 11:59 PM
This revision was not accepted when it landed; it landed in state Needs Review.Nov 7 2023, 9:18 PM
This revision was automatically updated to reflect the committed changes.